## TeplFileChooser TeplFileChooser — Extra functions for GtkFileChooser |

## Functions

void | tepl_file_chooser_set_modal ()
void | tepl_file_chooser_set_parent ()
void | tepl_file_chooser_show ()

## Includes

    #include <tepl/tepl.h>

## Description

Extra functions for GtkFileChooser, to have common code between GtkFileChooserDialog and GtkFileChooserNative.

## Functions

### tepl_file_chooser_set_modal ()

    void
    tepl_file_chooser_set_modal (GtkFileChooser *chooser,
                                 gboolean modal);

Calls either `gtk_native_dialog_set_modal()` or `gtk_window_set_modal()` depending on the `chooser` type.

#### Parameters

chooser | a GtkFileChooser. |
modal | the new value. |

Since: 5.0

### tepl_file_chooser_set_parent ()

    void
    tepl_file_chooser_set_parent (GtkFileChooser *chooser,
                                  GtkWindow *parent);

Sets or unsets a parent GtkWindow for the `chooser` dialog. It calls the right functions depending on the type of `chooser` .

#### Parameters

chooser | a GtkFileChooser. |
parent | a GtkWindow, or `NULL`. | [nullable]

Since: 5.0

### tepl_file_chooser_show ()

    void
    tepl_file_chooser_show (GtkFileChooser *chooser);

Calls `gtk_native_dialog_show()` or `gtk_window_present()` depending on the type of `chooser` .

#### Parameters

chooser | a GtkFileChooser. |

Since: 5.0